
set size ratio 0.8 0.6
set xlabel "Generation"
set ylabel "Standard deviation"

set term postscript eps enhanced "Times-Roman" 14
set output 'dev.eps'
plot  'result.dev.ga100.asga0.dat.val' title 'ga=100 asga=0' \
with lines lw 1, \
'result.dev.ga75.asga25.dat.val' title 'ga=75 asga=25' \
with lines lw 2, \
'result.dev.ga50.asga50.dat.val' title 'ga=50 asga=50' \
with lines lw 3, \
'result.dev.ga25.asga75.dat.val' title 'ga=25 asga=75' \
with lines lw 4, \
'result.dev.ga0.asga100.dat.val' title 'ga=0 asga=100' \
with lines lw 5
