import java.util.*;


/**
* This is the main class of the program. 
**/
public class SolveGA {


public static double[] survival = {0.9, 0.9,0.9,0.9,0.5,0.0};

/**
 * Main method.
 * @param args command line parameters
 **/
public static void main(String[] args) throws java.io.IOException {

	Problem p = TSPProblemFactory.createPlanarTSP("data/tsp1.dat"); 
//	Problem p = new SimpleProblem(100,1);

	double[] weights = new double[30];
	double[] value = new double[30];
	double sum = 0;

	
	Random r = new Random(10);
	for (int i=0; i<30; i++) {
		weights[i] = 10 + r.nextDouble()*10;
		sum += weights[i];
		value[i] = 10 + r.nextDouble()*10;
	}

//	Problem p = new KnappsackProblem(weights, value, sum*0.3);
	
	Population pop = 
		new Population(Integer.parseInt(args[0]),
				Integer.parseInt(args[1]),
				survival, 0.7, 3, 0.05, p);
	Solver s = new Solver(Integer.parseInt(args[2]), pop);
		s.solve();
	System.err.println("Solution: " + pop.getBest());


	}

}
